/* --- GENERAL --- */
:root {
    --primary-color: #1d1d1d;
    --primary-background:  #fffff8;
    --primary-cta: #fff;
    --primary-link: #0047ff;
    --primary-hover: #ff6b00;
    --my-transition: .1s ease-out all;
}

::selection {
    color: var(--primary-cta);
    background: var(--primary-color);
  }

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    font-family: 'Work Sans', sans-serif;
    font-weight: 400;
    background-color: var(--primary-background);
    font-size: 10px;
    height: 100%;
    color: var(--primary-color);
    scroll-behavior: smooth;
}

h1 {
    font-weight: 600;
    font-size: 3rem;
    line-height: 160%;
}

h2 {
    font-size: 2.4rem;
    font-weight: 600;
    margin-bottom: .8rem;
}

p, .paragraph {
    font-weight: 400;
    font-size: 2.4rem;
    line-height: 160%;
}

.paragraph--list {
    padding-left: 3.2rem;
}

.paragraph--footer {
    font-size: 1.2rem;
    text-decoration: none;
    text-align: center;
}

br {
    height: 2.4rem;
}

.text_link {
    color: var(--primary-link);
}

@media(hover: hover) and (pointer: fine) {
    .text_link:hover {
        color: var(--primary-hover);  
        transition: var(--my-transition);  
    }
}

.text_link--footer {
    color: var(--primary-color);
    font-size: 1.2rem;
    text-decoration: none;
}

.cta {
    display: block;
    margin-top: 4rem;
    padding-top: 1.6rem;
    padding-bottom: 1.6rem;
    width: 100%;
    font-weight: 600;
    font-size: 2rem;
    text-decoration: none;
    text-align: center;
    border-radius: 8px;
    max-width: 40rem;
    margin-left: auto;
    margin-right: auto;
}

.cta__primary {
    border: 1px solid var(--primary-color);
    background-color: var(--primary-cta);
    color: var(--primary-color);
}

@media(hover: hover) and (pointer: fine) {
    .cta__primary:hover {
        transition: var(--my-transition);
        color: var(--primary-hover);
        border: 1px solid var(--primary-hover);
    }
}

.container__right {
    display: flex;
    justify-content:flex-end;
}


.container__center {
    display: flex;
    justify-content: center;
}

/* --- Scroll indicator --- */
.scroll_indicator {
    position: fixed;
    top: 0;
    z-index: 1;
    width: 100%;
}
  
.progress-container {
    width: 100%;
    height: 0.4rem;
}
  
.progress-bar {
    height: 0.4rem;
    background: var(--primary-color);
    width: 0%;
}


/* --- Navigation --- */
.navbar {
    display: flex;
    position: relative;
    justify-content: space-between;
    flex-direction: column;
    align-items: flex-start;
    background-color: var(--primary-background);
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
}

.brand-title {
    margin: 2rem 0 2rem 1.7rem ;
}

.navbar-links {
    display: none;
    height: 100vh;
    width: 100%;
}

.navbar-links ul {
    display: flex;
    margin: 0;
    padding: 0;
    width: 100%;
    flex-direction: column;
}

.navbar-links li {
    list-style: none;
}

.navbar-links ul li {
    text-align: left;
    margin-left: 1.7rem;
    margin-right: 1.7rem;
}

.navbar-links li a {
    display: block;
    color: var(--primary-link);
    font-size: 2.4rem;
}

@media(hover: hover) and (pointer: fine) {
    .navbar-links a:hover {
        color: var(--primary-hover);  
        transition: var(--my-transition);  
    }
}

.navbar-links ul li a {
    padding: 2rem 0;
}

.navbar-links.active {
    display: flex;
}

.toggle-button {
    position: absolute;
    top: 1.2rem;
    right: 1.7rem;
    flex-direction: column;
    justify-content: space-between;
    color: var(--primary-color);
}

.toggle-button i {
    font-size: 2.4rem;
}


/* --- Main general--- */ 
main {
    max-width: 61rem;
    margin: auto;
}

.content {
    margin: 0 17px;
    padding-bottom: 8rem;
}

.intro {
    margin-top: 1.6rem;
}

.icon_link {
    font-size: 3.2rem;
    margin-top: 1.6rem;
}


.illustration {
    width: 12rem;
    height: auto;
    margin-top: 4.8rem;
}


/* --- Main home --- */

#intro h1,p {
    display: inline; 
}


/* --- footer --- */
footer {
    padding-top: 3.2rem;
    padding-bottom: 6.4rem;
}


/* --- D E S K T O P --- */

@media screen and (min-width:720px) {

    /* --- General ---*/
    .cta {
        margin-top: 8rem;
    }

    /* --- Navigation --- */
    .toggle-button {
        right: 3.2rem;
    }

    .toggle-button i {
        font-size: 4rem;
    }

    .brand-title {
        margin: 2rem 0 2rem 3.2rem;
    }
    
    .logo {
        width: auto;
        height: 1.6rem;
    }
    .navbar-links {
        padding-top: 8rem;
        max-width: 600px;
        margin-left: auto;
        margin-right: auto;
    }

    .navbar-links ul li {
        text-align: left;
    }


    /* --- Main general --- */
    .intro {
        margin-top: 8rem;
    }

    .content {
        padding-bottom: 20rem;
    }
}